Bug 230405 - [css-grid] FlexType is not applicable to min track sizing
Summary: [css-grid] FlexType is not applicable to min track sizing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zsun
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-17 07:56 PDT by zsun
Modified: 2021-09-21 00:10 PDT (History)
10 users (show)

See Also:


Attachments
Patch (1.69 KB, patch)
2021-09-17 08:11 PDT, zsun
no flags Details | Formatted Diff | Diff
Patch (2.42 KB, patch)
2021-09-20 06:49 PDT, zsun
no flags Details | Formatted Diff | Diff
Patch (1.69 KB, patch)
2021-09-20 11:36 PDT, zsun
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zsun 2021-09-17 07:56:45 PDT
FlexType is not applicable to min track sizing
Comment 1 zsun 2021-09-17 08:11:07 PDT
Created attachment 438477 [details]
Patch
Comment 2 Sergio Villar Senin 2021-09-20 03:33:44 PDT
Comment on attachment 438477 [details]
Patch

Nice cleanup. Isn't there another instance of this in GridTrackSizingAlgorithm::isIntrinsicSizedGridArea() ?
Comment 3 zsun 2021-09-20 06:49:08 PDT
Created attachment 438672 [details]
Patch
Comment 4 zsun 2021-09-20 11:36:44 PDT
Created attachment 438704 [details]
Patch
Comment 5 EWS 2021-09-21 00:09:03 PDT
Committed r282801 (241933@main): <https://commits.webkit.org/241933@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438704 [details].
Comment 6 Radar WebKit Bug Importer 2021-09-21 00:10:16 PDT
<rdar://problem/83342308>